#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: hedis
version: 0.6.9
id: hedis-0.6.9-31f6a47b514db8a69fc05dc0f3e697c0
key: hedis_6eymVd3AG8a7gdGg6pweLG
license: BSD3
copyright: Copyright (c) 2011 Falko Peters
maintainer: falko.peters@gmail.com
homepage: https://github.com/informatikr/hedis
synopsis: Client library for the Redis datastore: supports full command set,
          pipelining.
description:
    Redis is an open source, advanced key-value store. It is often referred to
    as a data structure server since keys can contain strings, hashes, lists,
    sets and sorted sets. This library is a Haskell client for the Redis
    datastore. Compared to other Haskell client libraries it has some
    advantages:
    .
    [Complete Redis 2.6 command set:] All Redis commands
    (<http://redis.io/commands>) are available as haskell functions, except
    for the MONITOR and SYNC commands. Additionally, a low-level API is
    exposed that  makes it easy for the library user to implement further
    commands, such as new commands from an experimental Redis version.
    .
    [Automatic Optimal Pipelining:] Commands are pipelined
    (<http://redis.io/topics/pipelining>) as much as possible without any
    work by the user. See
    <http://informatikr.com/2012/redis-pipelining.html> for a
    technical explanation of automatic optimal pipelining.
    .
    [Enforced Pub\/Sub semantics:] When subscribed to the Redis Pub\/Sub server
    (<http://redis.io/topics/pubsub>), clients are not allowed to issue
    commands other than subscribing to or unsubscribing from channels. This
    library uses the type system to enforce the correct behavior.
    .
    [Connect via TCP or Unix Domain Socket:] TCP sockets are the default way to
    connect to a Redis server. For connections to a server on the same
    machine, Unix domain sockets offer higher performance than the standard
    TCP connection.
    .
    For detailed documentation, see the "Database.Redis" module.
    .
category: Database
author: Falko Peters
exposed: True
exposed-modules:
    Database.Redis
hidden-modules: Database.Redis.Core
                Database.Redis.ProtocolPipelining Database.Redis.Protocol
                Database.Redis.PubSub Database.Redis.Transactions
                Database.Redis.Types Database.Redis.Commands
                Database.Redis.ManualCommands
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/hedis-0.6.9
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/hedis-0.6.9
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/hedis-0.6.9
hs-libraries: HShedis-0.6.9-6eymVd3AG8a7gdGg6pweLG
include-dirs: /usr/local/include
depends:
    BoundedChan-1.0.3.0-8277d96cc01fd6d3f54c6c1e3848c362
    attoparsec-0.12.1.6-99fda756c7d47d27b4267b09d82f489d
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    bytestring-lexing-0.5.0.2-10983e8174e14fc2515b0ef16aa3e51b
    mtl-2.2.1-5cf332b11edb88a6040af20fd6a58acb
    network-2.6.2.1-1d887b232935ec0b0e833d6b1965a343
    resource-pool-0.2.3.2-94c770125a2c2aa5258a914e55fdf1d4
    time-1.5.0.1-52ad75dcebbd2b7b57831e7da202bac7
    vector-0.10.12.3-df22e243cd37291cebd65584b0ee856f
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/hedis-0.6.9/html/hedis.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/hedis-0.6.9/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
